Bug 133272 - (FS CIFS) mounting guest via cifs gives different file perms than smbfs
(FS CIFS) mounting guest via cifs gives different file perms than smbfs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-22 16:28 EDT by Andy Grover
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 16:24:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2004-09-22 16:28:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
Recently switched to cifs from smbfs for mounting a share from my
Windows XP box. Permissions seem to be messed up:

[root@grover2 ~]# mount -t smbfs -o user=guest,guest
//agrover-desk.amr.corp.intel.com/src$ desk
[root@grover2 ~]# ls -l desk
total 798947
-rwxr-xr-x  1 root root      1502 Aug  9 14:11 mps.txt
<more listings>
[root@grover2 ~]# umount desk
[root@grover2 ~]# mount -t cifs -o user=guest,guest
//agrover-desk.amr.corp.intel.com/src$ desk
[root@grover2 ~]# ls -l desk
total 798944
-rwxrwSrwt  1 root root      1502 Aug  9 14:11 mps.txt
<more listings>
[root@grover2 ~]# umount desk



Version-Release number of selected component (if applicable):
kernel-2.6.8-1.584

How reproducible:
Always

Steps to Reproduce:
1. mount a share as guest via smbfs
2. Note permissions
3. unmount
4. mount the share as guest via cifs
4. Note permissions
    

Actual Results:  all permissions are set

Expected Results:  permissions should look like smbfs, especially
setuid and sticky bits should not be set.

Additional info:
Comment 1 Carsten Clasohm 2005-08-24 10:45:33 EDT
This is reproducable on RHEL 4 with kernel 2.6.9-11.EL, acessing a share
provided by a Windows NT 4 SP6a server.
Comment 2 Steve Dickson 2005-10-31 16:24:47 EST
This should be fixed in the latest RAWHIDE kernel

Note You need to log in before you can comment on or make changes to this bug.